package msgpack.rpcx

import msgpack.rpcx.interface.AuthInterface

/** Client session
 *
 * @param session object
 */
class Session(session: org.msgpack.rpc.Session) extends Proxy {

  /** Proxy to authentication interface. */
  protected val proxy = session.proxy(classOf[AuthInterface])

  /** Get current request timeout in seconds. */
  def requestTimeout = session.getRequestTimeout

  /** Set current request timeout in seconds.
   *
   * @param timeout for request
   */
  def requestTimeout_=(timeout: Int) {

    session.setRequestTimeout(timeout)

  }
}

