package msgpack.rpcx

import org.msgpack.rpc.loop.EventLoop

/** Pooled sessions.
 *
 * @author myst3r10n
 */
class SessionPool {

  /** RPC loop. */
  protected var loop = EventLoop.start

  /** RPC client pool. */
  protected var pool = new org.msgpack.rpc.SessionPool(loop)

  /** Get client session.
   *
   * @param host of server
   * @param port of server
   *
   * @return client session
   */
  def session(host: String, port: Int) =
    new Session(pool.getSession(host, port))

  /** Release all busy resources. */
  def release {

    pool.close
    loop.shutdown

  }
}

